POST api/pcapi/add?siteId={siteId}
Request Information
URI Parameters
| Name | Description | Type | Additional information |
|---|---|---|---|
| siteId | globally unique identifier |
None. |
Body Parameters
PCViewModel| Name | Description | Type | Additional information |
|---|---|---|---|
| active | boolean |
Required |
|
| cleanroom_id | globally unique identifier |
None. |
|
| db_login | string |
String length: inclusive between 0 and 50 |
|
| db_name | string |
String length: inclusive between 0 and 50 |
|
| db_password | string |
String length: inclusive between 0 and 50 |
|
| db_source | string |
String length: inclusive between 0 and 50 |
|
| id | globally unique identifier |
None. |
|
| local_ip | string |
String length: inclusive between 0 and 15 |
|
| lock_id | globally unique identifier |
None. |
|
| mac_address | string |
Required String length: inclusive between 0 and 30 |
|
| name | string |
String length: inclusive between 0 and 100 |
|
| pc_type_id | globally unique identifier |
None. |
|
| rights | Collection of ShortRightViewModel |
None. |
|
| site_id | globally unique identifier |
None. |
|
| zone_id | globally unique identifier |
None. |
Request Formats
application/json, text/json
Sample:
{
"active": true,
"cleanroom_id": "62fa15b0-7c5d-4b67-84af-bdeda54610bf",
"db_login": "sample string 2",
"db_name": "sample string 3",
"db_password": "sample string 4",
"db_source": "sample string 5",
"id": "f4280d64-0820-4e4a-a8d7-29c639805f24",
"local_ip": "sample string 7",
"lock_id": "b3989ba2-1380-4d60-a6a5-730385e672f5",
"mac_address": "sample string 8",
"name": "sample string 9",
"pc_type_id": "130afac2-82a7-4160-b75b-d4ef5baf9a97",
"rights": [
{
"code": "sample string 1",
"id": "27544a06-9306-47dc-bfac-69f6b4ec20c3"
},
{
"code": "sample string 1",
"id": "27544a06-9306-47dc-bfac-69f6b4ec20c3"
}
],
"site_id": "af545e8d-ad26-4fb8-8e6a-eab7c5ed3165",
"zone_id": "7ea8f15e-a669-4189-8832-6be56c9920e2"
}
application/xml, text/xml
Sample:
<pc xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/EntityModel">
<active>true</active>
<cleanroom_id>62fa15b0-7c5d-4b67-84af-bdeda54610bf</cleanroom_id>
<db_login>sample string 2</db_login>
<db_name>sample string 3</db_name>
<db_password>sample string 4</db_password>
<db_source>sample string 5</db_source>
<id>f4280d64-0820-4e4a-a8d7-29c639805f24</id>
<local_ip>sample string 7</local_ip>
<lock_id>b3989ba2-1380-4d60-a6a5-730385e672f5</lock_id>
<mac_address>sample string 8</mac_address>
<name>sample string 9</name>
<pc_type_id>130afac2-82a7-4160-b75b-d4ef5baf9a97</pc_type_id>
<rights>
<right>
<ID>27544a06-9306-47dc-bfac-69f6b4ec20c3</ID>
<code>sample string 1</code>
</right>
<right>
<ID>27544a06-9306-47dc-bfac-69f6b4ec20c3</ID>
<code>sample string 1</code>
</right>
</rights>
<site_id>af545e8d-ad26-4fb8-8e6a-eab7c5ed3165</site_id>
<zone_id>7ea8f15e-a669-4189-8832-6be56c9920e2</zone_id>
</pc>
application/x-www-form-urlencoded
Sample:
Sample not available.
Response Information
Resource Description
globally unique identifierResponse Formats
application/json, text/json
Sample:
"bbd87b98-ca8f-4280-bf1f-e93aee1c389d"
application/xml, text/xml
Sample:
<guid xmlns="http://schemas.microsoft.com/2003/10/Serialization/">bbd87b98-ca8f-4280-bf1f-e93aee1c389d</guid>